## yapps2 2.2.1

=== debian/changelog ===
yapps2 (2.2.1-4) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Python team
    Closes: #947282
  * Add Homepage
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Git add debian/upstream/metadata
  * Remove debian/pyversions
  * Build-Depends: s/python3-dev/python3/
  * Remove unneeded python3-pkg-resources from Depends
    Closes: #1083998

 -- Andreas Tille <tille@debian.org>  Wed, 21 May 2025 11:41:11 +0200

yapps2 (2.2.1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (closes: #1007279).
  * Move some Build-Depends in order to build the source package only.

 -- Bastian Germann <bage@debian.org>  Wed, 16 Aug 2023 19:52:30 +0000

yapps2 (2.2.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Python 2 support (closes: #938864).
  * Write __future__ import before preparser (closes: #911730).
  * Convert Scanner.print_line_with_pointer to Python 3 print syntax
    (closes: #911753).
  * Port documentation and examples to Python 3 (closes: #911752).

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Dec 2019 22:05:40 +0000

yapps2 (2.2.1-3) unstable; urgency=medium

  * yapps2 depends on python3-pkg-resources for the entry point wrapper
    (closes: #913392).
    Thanks to Colin Watson.

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 11 Nov 2018 18:49:20 +0100

yapps2 (2.2.1-2) unstable; urgency=medium

  * Add setuptools dependencies (closes: #912097).

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 05 Nov 2018 07:26:11 +0100

yapps2 (2.2.1-1) unstable; urgency=medium

  * New feature version
  * Don't try to run "bk".
  * Ignore built files
  * Add manpage
  * fix packaging
  * convert to debhelper
  * Clean up Lintian errors
  * Add Py3 package

 -- Matthias Urlichs <smurf@debian.org>  Mon, 15 Oct 2018 11:24:39 +0200

yapps2 (2.1.1-17.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Move binary-arch rule to binary-indep, since all our binary packages are
    Architecture: all.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Nov 2016 19:48:31 +0000

yapps2 (2.1.1-17.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump to debhelper compat level 9 (closes: #817771).
  * Use ${binary:Version} rather than ${Source-Version} (closes: #833233).

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Nov 2016 17:11:44 +0000

yapps2 (2.1.1-17.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python. Closes: #786242.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Aug 2015 15:10:19 +0200

yapps2 (2.1.1-17.2) unstable; urgency=low

  * Non-maintainer upload.
  * Python 2.6 transition (closes: #547877):
    + debian/control:
      - Bump python-dev to >= 2.5.4-1~.
    + debian/rules:
      - Use macros provided by /usr/share/python/python.mk to install
        files in correct locations for every supported Python version.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 14 Oct 2009 23:05:28 +0200

yapps2 (2.1.1-17.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: 380992).
  * Bump Standards-Version to 3.7.2.
  * Move debhelper to Build-Depends.

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  3 Sep 2006 23:51:24 +0200

yapps2 (2.1.1-17) unstable; urgency=medium

  * Fix recursive includes.
  * Add option to limit backtrace depth on syntax errors.

 -- Matthias Urlichs <smurf@debian.org>  Sat, 22 Jan 2005 04:10:33 +0100

yapps2 (2.1.1-16) unstable; urgency=medium

  * Brown paper bag -- fix Python 2.4 stuff.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 23 Dec 2004 23:48:58 +0100

yapps2 (2.1.1-15) unstable; urgency=medium

  * Add support for Python 2.4.

 -- Matthias Urlichs <smurf@debian.org>  Sun, 12 Dec 2004 20:20:18 +0100

yapps2 (2.1.1-14) unstable; urgency=medium

  * Split off the Python parser runtime into its own package
    + sort-of Closes: #272738: Generated python files import yapps.runtime
                               instead of yappsrt
      - can't use yappsrt; it's not downward-compatible
  * too many (i.e. more than zero) unquoted hyphens in the manpage
  * update documentation that this is an enhanced version

 -- Matthias Urlichs <smurf@debian.org>  Thu, 23 Sep 2004 10:44:41 +0200

yapps2 (2.1.1-13) unstable; urgency=low

  * latex2html => hevea

 -- Matthias Urlichs <smurf@debian.org>  Mon, 19 Jul 2004 09:29:17 +0200

yapps2 (2.1.1-12) unstable; urgency=low

  * Build-Depend on python.

 -- Matthias Urlichs <smurf@debian.org>  Mon, 12 Jul 2004 09:35:29 +0200

yapps2 (2.1.1-11) unstable; urgency=low

  * Typo (made large file handling slow)
  * installation problem (new zero-sized file)

 -- Matthias Urlichs <smurf@debian.org>  Sun, 16 May 2004 22:01:53 +0200

yapps2 (2.1.1-10) unstable; urgency=low

  * Documentation update:
    build and install HTML documentation from LaTex source

 -- Matthias Urlichs <smurf@debian.org>  Fri, 14 May 2004 12:14:33 +0200

yapps2 (2.1.1-9) unstable; urgency=low

  * Renamed the package to "yapps2".
  * Submit to Debian. Closes: #201568.
  * Fix minor problem with setup.py.

 -- Matthias Urlichs <smurf@debian.org>  Fri, 14 May 2004 11:17:20 +0200

yapps (2.1.1-8) unstable; urgency=low

  * require python-dev because of distutils.

 -- Matthias Urlichs <smurf@debian.org>  Wed, 31 Dec 2003 14:00:42 +0100

yapps (2.1.1-7) unstable; urgency=low

  * Change yapps.py to exit with 1 if there was a parser failure.

 -- Matthias Urlichs <smurf@debian.org>  Wed, 31 Dec 2003 13:57:38 +0100

yapps (2.1.1-6) unstable; urgency=low

  * Update to 3.6.1, use build-depends-indep.

 -- Matthias Urlichs <smurf@debian.org>  Tue, 30 Dec 2003 15:36:56 +0100

yapps (2.1.1-5) unstable; urgency=low

  * Add some notes.


