=== debian/control ===
Source: yapps2
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Matthias Urlichs <smurf@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
Build-Depends-Indep: python3,
  hevea,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/yapps2
Vcs-Git: https://salsa.debian.org/python-team/packages/yapps2.git
Homepage: https://theory.stanford.edu/~amitp/yapps/#yapps2

Package: yapps2
Architecture: all
Depends: ${python3:Depends}, python3-yapps (= ${binary:Version}), ${misc:Depends},
Description: Yet Another Python Parser System
 YAPPS is an easy to use parser generator that is written in Python and
 generates Python code.  There are several parser generator systems
 already available for Python, but this parser has different goals:
 Yapps is simple, very easy to use, and produces human-readable parsers.
 .
 It is not the fastest or most powerful parser.  Yapps is designed to be
 used when regular expressions are not enough and other parser systems
 are too much: situations where you might otherwise write your own
 recursive descent parser.
 .
 This package contains several upward-compatible enhancements to the
 original YAPPS source:
 .
     - handles recursive input ("include files")
     - better error reporting
     - reads input incrementally

Package: python3-yapps
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Yet Another Python Parser System
 YAPPS is an easy to use parser generator that is written in Python and
 generates Python code.  There are several parser generator systems
 already available for Python, but this parser has different goals:
 Yapps is simple, very easy to use, and produces human-readable parsers.
 .
 This package contains the Python3 runtime support for parsers generated
 with yapps2.
